gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Gdk.DisplayManager

Contents

- Detail
- Class Hierarchy
- Types
- Methods
- Attributes
- Signals

Description

Maintains a list of all open GdkDisplays

- Module available since Gdk version 2.2

Synopsis

- data DisplayManager
- class GObjectClass o => DisplayManagerClass o
- castToDisplayManager :: GObjectClass obj => obj -> DisplayManager
- toDisplayManager :: DisplayManagerClass o => o -> DisplayManager
- displayManagerGet :: IO DisplayManager
- displayManagerListDisplays :: DisplayManagerClass self => self -> IO [Display]
- displayManagerDefaultDisplay :: DisplayManagerClass self => Attr self Display
- displayManagerOpened :: DisplayManagerClass self => Signal self (Display -> IO ())

# Detail

The purpose of the `DisplayManager` singleton object is to offer notification when displays appear or disappear or the default display changes.

# Class Hierarchy

     | GObject
     | +----DisplayManager

# Types

data DisplayManager

Instances

Eq DisplayManager |
Ord DisplayManager |
GObjectClass DisplayManager |
DisplayManagerClass DisplayManager |

class GObjectClass o => DisplayManagerClass o

Instances

DisplayManagerClass DisplayManager |

castToDisplayManager :: GObjectClass obj => obj -> DisplayManager

toDisplayManager :: DisplayManagerClass o => o -> DisplayManager

# Methods

displayManagerGet

Arguments

:: IO DisplayManager | returns the singleton `DisplayManager` object.

Returns the global `DisplayManager` singleton; `parsePargs`, `init`, or `initCheck` must have been called first.

displayManagerListDisplays

Arguments

:: DisplayManagerClass self |
=> self |
-> IO [Display] | returns a newly allocated list of `Display` objects.

List all currently open displays.

# Attributes

displayManagerDefaultDisplay :: DisplayManagerClass self => Attr self Display

The default display.

# Signals

displayManagerOpened :: DisplayManagerClass self => Signal self (Display -> IO ())

The `displayManagerOpened` signal is emitted when a display is opened.